// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef _CHATWND_H_
#define _CHATWND_H_

#include "resource.h"                  // IDD_CHAT - audited 4 Nov 2004

#include <wx/panel.h>                  // wxPanel

class CUpDownClient;

class CChatWnd : public wxPanel //CResizableDialog
{
public:
    CChatWnd(wxWindow* pParent = NULL);   // standard constructor
    virtual ~CChatWnd();

    // Dialog Data
    enum { IDD = IDD_CHAT };

    void StartSession(CUpDownClient* client);
    void Localize();
};

#endif // _CHATWND_H_
