// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef _FLOWCHART_H_
#define _FLOWCHART_H_

#include <wx/scrolwin.h>               // wxScrollWindow

class DynamicPreferences;
class DynamicPreferencesCtrl;
class wxClientDC;
class wxTimer;
class wxTimerEvent;

class CFlowChart: public wxScrolledWindow
{
public:
    CFlowChart(wxWindow* pParent, DynamicPreferences* in_prefs=NULL);
    ~CFlowChart();

private:
    DynamicPreferences* dynprefs;
    DynamicPreferencesCtrl* prefs_ctrl;

    void Init();
    void OnLoseFocus(wxFocusEvent& event);
    void OnChangedPrefs(wxEvent& event);
    DECLARE_EVENT_TABLE()
};

#endif // _FLOWCHART_H_

