// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef _HTTPDOWNLOADDLG_H_
#define _HTTPDOWNLOADDLG_H_

#include "wintypes.h"
#include "updownclient.h"

#include <stdint.h>                    // uint32_t
#include <wx/dialog.h>                 // wxDialog
#include <wx/process.h>                // wxProcess

class CHTTPDownloadDlg;

class myWGetProcess : public wxProcess
{
public:
    myWGetProcess(wxEvtHandler* parent) : wxProcess(parent) { myDlg=(CHTTPDownloadDlg*)parent; }

    void OnTerminate(int pid,int status);
private:
    CHTTPDownloadDlg* myDlg;
};

class CHTTPDownloadDlg : public wxDialog
{
public:
    CHTTPDownloadDlg(wxWindow*parent,wxString url,wxString tempName);
    ~CHTTPDownloadDlg() { if (process) { process->Detach(); } }

private:
    void OnBtnCancel(wxCommandEvent& evt);
    myWGetProcess *process;

    DECLARE_EVENT_TABLE()
};

#endif // _HTTPDOWNLOADDLG_H_
