// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef NEWSOCKETS_H
#define NEWSOCKETS_H

#include <wx/defs.h>                        // Needed for wxUint8

class CMemFile;
class Packet;

void NewSocket_Start(wxUint8 type, wxUint32 ip, wxUint16 port);

void NewSocket_Stop(wxUint8 type);

void NewSocket_SendPacket(wxUint8 type, Packet* sendpacket, wxUint32 destinationip, wxUint32 destinationport);
void NewSocket_SendPacketOP(wxUint8 type, wxUint8 opcode,Packet* sendpacket, wxUint32 destinationip, wxUint32 destinationport);
void NewSocket_SendPacketOPdata(wxUint8 type, wxUint8 opcode, CMemFile* data, wxUint32 destinationip, wxUint32 destinationport);
void NewSocket_DebugPP(void* client, wxUint8 opcode, long size, unsigned char* packet);

#endif
