// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef LDAEMON_H
#define LDAEMON_H

#include <wx/file.h>                        // Needed for wxFile
#include <wx/string.h>                      // Needed for wxString

#define LD_NUMBER 6
#define LD_COMMAND 0
#define LD_STATUS 1
#define LD_OUTPUT 2
#define LD_SERVER 3
#define LD_DOWN 4
#define LD_UPLO 5


class CLDaemon
{
public:
    CLDaemon();
    virtual ~CLDaemon();
    void Init();
    void Print (wxString,int,bool=false);
    bool Read (wxString &,int);
    bool ReadCommand ();
    bool Delete (int);

    wxString Command;
private:
    wxString FName[LD_NUMBER];
    wxFile Ftmp;
};

#endif
