// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef _CLIENTDETAILDIALOG_H_
#define _CLIENTDETAILDIALOG_H_

#include "resource.h"                  // IDD_SOURCEDETAILWND - audited 4 Nov 2004

#include <stdint.h>                    // uint16_t
#include <wx/dialog.h>                 // wxDialog

class CUpDownClient;

class CClientDetailDialog : public wxDialog
{
public:
    CClientDetailDialog(wxWindow* parent, CUpDownClient* client);   // standard constructor
    void Localize();
    virtual ~CClientDetailDialog();
    virtual bool OnInitDialog();
    // Dialog Data
    enum { IDD = IDD_SOURCEDETAILWND };

protected:
    void OnBnClose(wxCommandEvent& evt);
    DECLARE_EVENT_TABLE()

private:
    CUpDownClient* m_client;
};

#endif // _CLIENTDETAILDIALOG_H_
