// The xMule Project - A Peer-2-Peer File Sharing Program
//
// Copyright (C) 2003-2005 Theodore R. Smith ( hopeseekr@gmail.com / http://www.xmule.ws/ )
// Copyright (C) 2002 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of Version 2 of the GNU General Public
// License as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef _WINTYPES_H
#define _WINTYPES_H

namespace x
{
   typedef unsigned int UINT;
   typedef UINT* UINT_PTR;

   typedef char* LPCSTR;
   typedef unsigned char BYTE;
   typedef unsigned long DWORD;
   typedef signed long LONG;
   typedef unsigned long ULONG;
   typedef unsigned long long ULONGLONG;
   typedef BYTE* LPBYTE;
   typedef int INT;
   typedef unsigned short WORD;
   typedef unsigned char* LPCTSTR;
   typedef DWORD COLORREF;
   typedef void VOID;
   typedef void* LPVOID;
   typedef void* PVOID;

   typedef struct _POINT {
     UINT x,y;
   } POINT;

   typedef struct _RECT {
     UINT left,top,right,bottom;
   } RECT;

   typedef RECT* LPRECT;

   typedef struct _WINDOWPLACEMENT {
       UINT length;
       UINT flags;
       UINT showCmd;
       POINT ptMinPosition;
       POINT ptMaxPosition;
       RECT rcNormalPosition;
   } WINDOWPLACEMENT;
}
#endif
